package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT101Creator;

public class Tag28DCreator extends AbsTagCreate {
    private MT101Creator mt101Creator;

    public Tag28DCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt101Creator = (MT101Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag28DCreator = mt101Creator.getMessageIndexTotal();
        mt101Creator.set("28D", tag28DCreator);
    }
}
